Index: logger.c
===================================================================
RCS file: /usr/cvsroot/asterisk/logger.c,v
retrieving revision 1.18
diff -u -r1.18 logger.c
--- logger.c	12 Jan 2004 05:05:35 -0000	1.18
+++ logger.c	12 Jan 2004 06:06:48 -0000
@@ -420,20 +420,15 @@
     if (level == __LOG_EVENT) {
 	    time(&t);
 	    localtime_r(&t,&tm);
-	    if (&tm) {
-		    /* Log events into the event log file, with a different format */
-		    strftime(date, sizeof(date), "%b %e %T", &tm);
-		    va_start(ap, fmt);
+	    /* Log events into the event log file, with a different format */
+	    strftime(date, sizeof(date), "%b %e %T", &tm);
+	    va_start(ap, fmt);
 
-		    fprintf(eventlog, "%s asterisk[%d]: ", date, getpid());
-		    vfprintf(eventlog, fmt, ap);
-		    fflush(eventlog);
+	    fprintf(eventlog, "%s asterisk[%d]: ", date, getpid());
+	    vfprintf(eventlog, fmt, ap);
+	    fflush(eventlog);
 
-		    va_end(ap);
-	    } else
-		    /** Cannot use ast_log() from locked section of ast_log()!
-			ast_log(LOG_WARNING, "Unable to retrieve local time?\n"); **/
-		    fprintf(stderr, "ast_log: Unable to retrieve local time for %ld?\n", (long)t);
+	    va_end(ap);
 	    ast_mutex_unlock(&loglock);
 	    return;
     }
@@ -451,13 +446,7 @@
 
 		time(&t);
 		localtime_r(&t, &tm);
-		if(!&tm) {
-		    /** Cannot use ast_log() from locked section of ast_log()!
-			ast_log(AST_LOG_WARNING, "Unable to retrieve local time?\n"); **/
-		    fprintf(stderr, "ast_log: Unable to retrieve local time for %ld?\n", (long)t);
-		    ast_mutex_unlock(&loglock);
-		    return;
-		}
+
 		strftime(date, sizeof(date), "%b %e %T", &tm);
 
 		sprintf(linestr, "%d", line);
